Bug 1411725 - Ghostscript regression, .eps files no longer work
Summary: Ghostscript regression, .eps files no longer work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ghostscript
Version: 7.3
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: David Kaspar [Dee'Kej]
QA Contact: QE Internationalization Bugs
Lucie Maňásková
URL:
Whiteboard:
: 1264949 (view as bug list)
Depends On:
Blocks: 1289025 1305230 1381646 1410260 1454360
TreeView+ depends on / blocked
 
Reported: 2017-01-10 11:44 UTC by bugreports2005
Modified: 2020-07-16 09:06 UTC (History)
22 users (show)

Fixed In Version: ghostscript-9.07-23.el7
Doc Type: Release Note
Doc Text:
Evince now displays PostScript files again Due to a bug, the *evince* document viewer failed to display the content of PostScript files. A patch has been applied, and *evince* now displays PostScript files again.
Clone Of:
: 1454360 (view as bug list)
Environment:
Last Closed: 2017-08-01 23:03:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2180 0 normal SHIPPED_LIVE Low: ghostscript security and bug fix update 2017-08-01 19:40:55 UTC

Description bugreports2005 2017-01-10 11:44:25 UTC
Description of problem:

I received a report that evince can't display .eps files anymore, and okular doesn't work either. This has worked before ghostscript-9.07-20.el7_3.1.


Version-Release number of selected component (if applicable):

ghostscript-9.07-20.el7_3.1.x86_64


How reproducible:

Reproducible.


Steps to Reproduce:
1. yum install evince-3.14.2-17.el7 ghostscript-9.07-20.el7_3.1 emacs-common-24.3-18.el7
2. evince /usr/share/emacs/24.3/etc/refcards/gnus-logo.eps
3.

Actual results:

Evince is stuck at "Loading...".
Messages written to terminal:

invalidaccess -7
invalidaccess -7
invalidaccess -7


Expected results:

gnus-logo.eps is displayed.


Additional info:

Downgrading to ghostscript-9.07-20.el7.x86_64 fixes the problem.

I think this may be relevant:
https://bugs.launchpad.net/ubuntu/+source/ghostscript/+bug/1647276

Comment 2 Tomasz Kepczynski 2017-01-11 09:24:09 UTC
I've seen a2ps not working with text, C and asm files after the most recent update of ghostscript (on CentOS 7.3). This is likely the same issue and downgrading to ghostscript-9.07-20.el7.x86_64 also resolved it.

Comment 3 Andrew Schultz 2017-01-20 23:54:05 UTC
Of the 5 patches included in the newer package, only patch23,

# getenv and filenameforall: do not ignore -dSAFER (bug #1380327)

causes trouble.  evince accesses ghoscript via the API (via libspectre).  xfig also has trouble and invokes gs via the commandline.  A simplified commandline way to trigger problems is:

gs -c '<< /PermitFileReading [ (/path/to/file.eps)] >> setuserparams .locksafe'  

Version 9.07-20.el7 would show a blank window.  Version 9.07-20.el7_3 says:
==========================================================
GPL Ghostscript 9.07 (2013-02-14)
Copyright (C) 2012 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Error: /invalidaccess in --.locksafe--
Operand stack:
   true   --nostringval--   --dict:1167/1684(ro)(G)--   getenv   --nostringval--
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   1891   0   3   %oparray_pop   --nostringval--
Dictionary stack:
   --dict:1167/1684(ro)(G)--   --dict:0/20(G)--   --dict:77/200(L)--
Current allocation mode is local
Last OS error: Resource temporarily unavailable
GPL Ghostscript 9.07: Unrecoverable error, exit code 1
==========================================================
Note that -dSAFER does not need to be passed to hit trouble.

Comment 5 Kamil Dudka 2017-01-24 16:06:08 UTC
*** Bug 1264949 has been marked as a duplicate of this bug. ***

Comment 17 errata-xmlrpc 2017-08-01 23:03:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2180


Note You need to log in before you can comment on or make changes to this bug.